<html>
<head>
<title>OGRE: Ogre::RotationalSpline Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1RotationalSpline.html">RotationalSpline</a></div>
<h1>Ogre::RotationalSpline Class Reference</h1><!-- doxytag: class="Ogre::RotationalSpline" -->This class interpolates orientations (rotations) along a spline using derivatives of quaternions.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreRotationalSpline_8h-source.html">OgreRotationalSpline.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1RotationalSpline-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#c8596d691089c7be12d2879dc5595cea">RotationalSpline</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#e7c15794bdabda0d02fb2ce52b3e1ea9">~RotationalSpline</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#5ba4e31b2ec1aec5c6c2878440184709">addPoint</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;p)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Adds a control point to the end of the spline.  <a href="#5ba4e31b2ec1aec5c6c2878440184709"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#de94d1a8e67b3113d70bc22bd4801dae">getPoint</a> (unsigned short index) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the detail of one of the control points of the spline.  <a href="#de94d1a8e67b3113d70bc22bd4801dae"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#e370943401af17c1642b36969b7bcb5c">getNumPoints</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the number of control points in the spline.  <a href="#e370943401af17c1642b36969b7bcb5c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#d52da70d8d76c5c6d2203197e14b3520">clear</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clears all the points in the spline.  <a href="#d52da70d8d76c5c6d2203197e14b3520"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#8ee6d15c86ed31e61e04360d36f1fbf9">updatePoint</a> (unsigned short index, const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Updates a single point in the spline.  <a href="#8ee6d15c86ed31e61e04360d36f1fbf9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#4fd498ecda341877bed16614f99513f3">interpolate</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> t, bool useShortestPath=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns an interpolated point based on a parametric value over the whole series.  <a href="#4fd498ecda341877bed16614f99513f3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#50e4fac029abebe1f318a80da015f544">interpolate</a> (unsigned int fromIndex, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> t, bool useShortestPath=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Interpolates a single segment of the spline given a parametric value.  <a href="#50e4fac029abebe1f318a80da015f544"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#94645c3887ad1b0872bcea3897fae613">setAutoCalculate</a> (bool autoCalc)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tells the spline whether it should automatically calculate tangents on demand as points are added.  <a href="#94645c3887ad1b0872bcea3897fae613"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#9eec1f4d7ee25b15d435e8c49c69c92a">recalcTangents</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Recalculates the tangents associated with this spline.  <a href="#9eec1f4d7ee25b15d435e8c49c69c92a"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#fa8532df52d89e4e86d330139bdb79f6">mAutoCalc</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::vector&lt; <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#ac8e3ad2c6b7e3672243dfcdfad4dce1">mPoints</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::vector&lt; <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#829649f1efe30ff19bb6335b3e777959">mTangents</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
This class interpolates orientations (rotations) along a spline using derivatives of quaternions. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Like the <a class="el" href="classOgre_1_1SimpleSpline.html" title="A very simple spline class which implements the Catmull-Rom class of splines.">SimpleSpline</a> class, this class is about interpolating values smoothly over a spline. Whilst <a class="el" href="classOgre_1_1SimpleSpline.html" title="A very simple spline class which implements the Catmull-Rom class of splines.">SimpleSpline</a> deals with positions (the normal sense we think about splines), this class interpolates orientations. The theory is identical, except we're now in 4-dimensional space instead of 3. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>In positional splines, we use the points and tangents on those points to generate control points for the spline. In this case, we use quaternions and derivatives of the quaternions (i.e. the rate and direction of change at each point). This is the same as <a class="el" href="classOgre_1_1SimpleSpline.html" title="A very simple spline class which implements the Catmull-Rom class of splines.">SimpleSpline</a> since a tangent is a derivative of a position. We effectively generate an extra quaternion in between each actual quaternion which when take with the original quaternion forms the 'tangent' of that quaternion. </dd></dl>

<p>Definition at line <a class="el" href="OgreRotationalSpline_8h-source.html#l00052">52</a> of file <a class="el" href="OgreRotationalSpline_8h-source.html">OgreRotationalSpline.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="c8596d691089c7be12d2879dc5595cea"></a><!-- doxytag: member="Ogre::RotationalSpline::RotationalSpline" ref="c8596d691089c7be12d2879dc5595cea" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::RotationalSpline::RotationalSpline           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="e7c15794bdabda0d02fb2ce52b3e1ea9"></a><!-- doxytag: member="Ogre::RotationalSpline::~RotationalSpline" ref="e7c15794bdabda0d02fb2ce52b3e1ea9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::RotationalSpline::~RotationalSpline           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="5ba4e31b2ec1aec5c6c2878440184709"></a><!-- doxytag: member="Ogre::RotationalSpline::addPoint" ref="5ba4e31b2ec1aec5c6c2878440184709" args="(const Quaternion &amp;p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RotationalSpline::addPoint           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>p</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Adds a control point to the end of the spline. 
<p>

</div>
</div><p>
<a class="anchor" name="de94d1a8e67b3113d70bc22bd4801dae"></a><!-- doxytag: member="Ogre::RotationalSpline::getPoint" ref="de94d1a8e67b3113d70bc22bd4801dae" args="(unsigned short index) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&amp; Ogre::RotationalSpline::getPoint           </td>
          <td>(</td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>index</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the detail of one of the control points of the spline. 
<p>

</div>
</div><p>
<a class="anchor" name="e370943401af17c1642b36969b7bcb5c"></a><!-- doxytag: member="Ogre::RotationalSpline::getNumPoints" ref="e370943401af17c1642b36969b7bcb5c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short Ogre::RotationalSpline::getNumPoints           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the number of control points in the spline. 
<p>

</div>
</div><p>
<a class="anchor" name="d52da70d8d76c5c6d2203197e14b3520"></a><!-- doxytag: member="Ogre::RotationalSpline::clear" ref="d52da70d8d76c5c6d2203197e14b3520" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RotationalSpline::clear           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clears all the points in the spline. 
<p>

</div>
</div><p>
<a class="anchor" name="8ee6d15c86ed31e61e04360d36f1fbf9"></a><!-- doxytag: member="Ogre::RotationalSpline::updatePoint" ref="8ee6d15c86ed31e61e04360d36f1fbf9" args="(unsigned short index, const Quaternion &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RotationalSpline::updatePoint           </td>
          <td>(</td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Updates a single point in the spline. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This point must already exist in the spline. </dd></dl>

</div>
</div><p>
<a class="anchor" name="4fd498ecda341877bed16614f99513f3"></a><!-- doxytag: member="Ogre::RotationalSpline::interpolate" ref="4fd498ecda341877bed16614f99513f3" args="(Real t, bool useShortestPath=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> Ogre::RotationalSpline::interpolate           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>useShortestPath</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns an interpolated point based on a parametric value over the whole series. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Given a t value between 0 and 1 representing the parametric distance along the whole length of the spline, this method returns an interpolated point. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>t</em>&nbsp;</td><td>Parametric value. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>useShortestPath</em>&nbsp;</td><td>Defines if rotation should take the shortest possible path </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="50e4fac029abebe1f318a80da015f544"></a><!-- doxytag: member="Ogre::RotationalSpline::interpolate" ref="50e4fac029abebe1f318a80da015f544" args="(unsigned int fromIndex, Real t, bool useShortestPath=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> Ogre::RotationalSpline::interpolate           </td>
          <td>(</td>
          <td class="paramtype">unsigned int&nbsp;</td>
          <td class="paramname"> <em>fromIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>useShortestPath</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Interpolates a single segment of the spline given a parametric value. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>fromIndex</em>&nbsp;</td><td>The point index to treat as t=0. fromIndex + 1 is deemed to be t=1 </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>t</em>&nbsp;</td><td>Parametric value </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>useShortestPath</em>&nbsp;</td><td>Defines if rotation should take the shortest possible path </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="94645c3887ad1b0872bcea3897fae613"></a><!-- doxytag: member="Ogre::RotationalSpline::setAutoCalculate" ref="94645c3887ad1b0872bcea3897fae613" args="(bool autoCalc)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RotationalSpline::setAutoCalculate           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>autoCalc</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tells the spline whether it should automatically calculate tangents on demand as points are added. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The spline calculates tangents at each point automatically based on the input points. Normally it does this every time a point changes. However, if you have a lot of points to add in one go, you probably don't want to incur this overhead and would prefer to defer the calculation until you are finished setting all the points. You can do this by calling this method with a parameter of 'false'. Just remember to manually call the recalcTangents method when you are done. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>autoCalc</em>&nbsp;</td><td>If true, tangents are calculated for you whenever a point changes. If false, you must call reclacTangents to recalculate them when it best suits. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="9eec1f4d7ee25b15d435e8c49c69c92a"></a><!-- doxytag: member="Ogre::RotationalSpline::recalcTangents" ref="9eec1f4d7ee25b15d435e8c49c69c92a" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RotationalSpline::recalcTangents           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Recalculates the tangents associated with this spline. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If you tell the spline not to update on demand by calling setAutoCalculate(false) then you must call this after completing your updates to the spline points. </dd></dl>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="fa8532df52d89e4e86d330139bdb79f6"></a><!-- doxytag: member="Ogre::RotationalSpline::mAutoCalc" ref="fa8532df52d89e4e86d330139bdb79f6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RotationalSpline.html#fa8532df52d89e4e86d330139bdb79f6">Ogre::RotationalSpline::mAutoCalc</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRotationalSpline_8h-source.html#l00115">115</a> of file <a class="el" href="OgreRotationalSpline_8h-source.html">OgreRotationalSpline.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ac8e3ad2c6b7e3672243dfcdfad4dce1"></a><!-- doxytag: member="Ogre::RotationalSpline::mPoints" ref="ac8e3ad2c6b7e3672243dfcdfad4dce1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&gt; <a class="el" href="classOgre_1_1RotationalSpline.html#ac8e3ad2c6b7e3672243dfcdfad4dce1">Ogre::RotationalSpline::mPoints</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRotationalSpline_8h-source.html#l00119">119</a> of file <a class="el" href="OgreRotationalSpline_8h-source.html">OgreRotationalSpline.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="829649f1efe30ff19bb6335b3e777959"></a><!-- doxytag: member="Ogre::RotationalSpline::mTangents" ref="829649f1efe30ff19bb6335b3e777959" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&gt; <a class="el" href="classOgre_1_1RotationalSpline.html#829649f1efe30ff19bb6335b3e777959">Ogre::RotationalSpline::mTangents</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRotationalSpline_8h-source.html#l00120">120</a> of file <a class="el" href="OgreRotationalSpline_8h-source.html">OgreRotationalSpline.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRotationalSpline_8h-source.html">OgreRotationalSpline.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:48 2008
</p>
</body>
</html>
